#!/usr/bin/env python3

import serial
import sys
import time

ser = serial.Serial(sys.argv[1], 1000000, timeout = None)
lasttime = 0
tbs = 0
with open(sys.argv[2], 'wb') as tfp:
    while True:
        b = ser.read(1)
        tfp.write(b)
        tbs = tbs + 1
        if time.time() > (lasttime + 1):
            print(f"... {tbs} bytes ...")
            lasttime = time.time()
    